/* Copyright (c) 2003, Nokia Mobile Phones. All rights reserved */

#include <eikgted.h> 
#include <eikseced.h> 
#include <eikenv.h>
#include <e32base.h>
#include <eikchlst.h>
#include <eiktxlbm.h>

#include "S80Bible.hrh"
#include "S80Bible.rsg"
#include "S80BibleAppUi.h"
#include "CStringList.h"
#include "recentbibledialog.h"

// Constructor
CRecentBibleDialog::CRecentBibleDialog(TInt &aIndex)
{
	iIndex = &aIndex;
}

void CRecentBibleDialog::SetList(CDesCArrayFlat * aList)
{
	iStrings = aList;
}

// Preset fields prior to dialog display
void CRecentBibleDialog::PreLayoutDynInitL()
{
	CEikTextListBox* listBox=(CEikTextListBox*)Control(EBibleListID);
	//CDesCArray* listBoxArray=((CDesCArray*)listBox->Model()->ItemTextArray());
	//if (iStrings!=NULL)
	//	{
	//	for (TInt i=0;i<iStrings->MdcaCount();i++)
	//		listBoxArray->AppendL(iStrings->MdcaPoint(i));
	//	}
	listBox->Model()->SetItemTextArray(iStrings);
	listBox->Model()->SetOwnershipType(ELbmOwnsItemArray);
	if (*iIndex<0 || *iIndex>=iStrings->MdcaCount()) {
		*iIndex = 0;
	}
	listBox->SetCurrentItemIndex(*iIndex);

	listBox->CreateScrollBarFrameL();
	listBox->ScrollBarFrame()->SetScrollBarVisibilityL(CEikScrollBarFrame::EAuto,CEikScrollBarFrame::EAuto);

}


// Extract text from dialog
TBool CRecentBibleDialog::OkToExitL(TInt /* aKey */)
{
    //CCoeControl* myControlPtr = this->Control(ES80BibleList);
    //CEikChoiceList* mychoicelist = static_cast<CEikChoiceList*>(myControlPtr);
	
	//*iIndex = mychoicelist->CurrentItem();
	*iIndex = ListBoxCurrentItem(EBibleListID);
    return ETrue;
}




